Bug 115719 - DOCX import: lack of Word 2013-style increased spacing for paragraph with anchored objects
Summary: DOCX import: lack of Word 2013-style increased spacing for paragraph with anc...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.2 target:5.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-14 13:50 UTC by Miklos Vajna
Modified: 2018-05-28 05:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (11.63 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-14 13:50 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-02-14 13:50:13 UTC
Created attachment 139908 [details]
Reproducer document.

Steps to reproduce:

1) Open the attached document in Word 2013 or newer.
2) Observe that the document has 2 pages.
3) Open it in Writer.

Actual results: document has 1 page.

Expected results: document has 2 pages, like in Word.
Comment 1 Commit Notification 2018-02-14 19:22:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b73bafbc18acb4dd8911d2f2de8158d98eb6144

tdf#115719 DOCX import: increase paragraph spacing for anchored objects

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-02-16 09:22:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33317afcb1c070bd4ff19d312964d78f2105a87e&h=libreoffice-6-0

tdf#115719 DOCX import: increase paragraph spacing for anchored objects

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-02-17 13:59:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ce3110540804112efb530878517ab51147b7c66&h=libreoffice-5-4

tdf#115719 DOCX import: increase paragraph spacing for anchored objects

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-04-04 18:26:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=599ff05300599d4e4ce818092f18e76e738b921e

Related: tdf#115719 DOCX import: fix ignore of increased anchored obj spacing

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.